# Federal Developer Portal (Förderales Entwicklungsportal)
<img src="public/img/kabelmaennchen_construct.svg" style="width:100px;"/>

The developer portal bundles developer resources (documentation, API specifications and code samples) about German government IT systems.
The live version is available here: [https://docs.fitko.de](https://docs.fitko.de)

## How to build

To build the developer portal locally [yarn package manager](https://yarnpkg.com/) is recommended.

### Preconditions
To install yarn:
```sh
npm install --global yarn
```

Before proceeding, double check if yarn is installed correctly:
```sh
yarn --version
```
### Development build
For the federal developer portal running in dev mode run:
```sh
yarn install
yarn dev
```

By default, the server runs on [http://localhost:3000](http://localhost:3000)

### Deployable build
Build a fully deployable export with:
```sh
yarn install
yarn export
```
The result is stored in a sub folder of project root called `out`.

## Continous Integration
Every incomming commit triggers our gitlab pipeline. For details check the configuration in the YAML file: `ci/gitlab-ci.yml`. In order to ensure a high code quality, static code analysis are triggered before deployment.
Licensing of the files works with a tool called Reuse. As soon as new files are added, the Reuse configuration(`.reuse/dep5`) must be extended accordingly.

## Licenses
Source code is licensed under the [EUPL](LICENSES/EUPL-1.2.txt).

Unless stated otherwise, the content of this website is licensed under a [Creative Commons Attribution-ShareAlike 4.0 International License](https://creativecommons.org/licenses/by-sa/4.0/).
